/* * arch/ppc/platforms/apollo.h
 * 
 * Board declarations for Accton Apollo board.
 *
 * Author: John W. Linville
 *         linville@lvl7.com
 *
 * Copyright 2002 LVL7 Systems Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */
#ifndef	__PPC_PLATFORMS_APOLLO_H_
#define	__PPC_PLATFORMS_APOLLO_H_

/*
 * Use PPCBoot's bd_t definition...
 */
#include <asm/ppcboot.h>

#define APOLLO_EUMB_BASE	0xfc000000

/*
 * CPLD register addresses and related definitions...
 */
#define APOLLO_CPLD_RESET_ADDR	0xff500000
#define APOLLO_CPLD_RESET_ALL	0

void apollo_find_bridges(void);

#endif	/* __PPC_PLATFORMS_APOLLO_H_ */
