/*
 * (C) Copyright 2001
 * LVL7 Systems, Inc., 13000 Weston Pkwy, Suite 105, Cary, NC 27513
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

/* ------------------------------------------------------------------------- */

#define FLASH_OR0VALUE		0xff800760
#define FLASH_BR0VALUE		0xff800801

/* ------------------------------------------------------------------------- */

/* These values are specifically for a 32Mb DIMM.  When I2C is configured,
 * will need to read ID from DIMM and set values accordingly... -- JWL
 */

#define SDRAM_PADIRVALUE 	0xc000
#if 0
#define SDRAM_PADATVALUE 	0xc000
#else
#define SDRAM_PADATVALUE 	0x8000
#endif

#define SDRAM_MPTPRVALUE 	0x0800

#if 0
#define SDRAM_MBMRVALUE0 	0x12822114
#define SDRAM_MBMRVALUE1 	0x12822118
#else
#define SDRAM_MBMRVALUE0 	0x12A26114
#define SDRAM_MBMRVALUE1 	0x12A26118
#endif

#if 0
#define SDRAM_OR3VALUE   	0xff000800
#define SDRAM_BR3VALUE   	0x000000c1
#else
#define SDRAM_OR3VALUE   	0xfc000800
#define SDRAM_BR3VALUE   	0x000000c1
#endif

#if 0
#define SDRAM_OR4VALUE   	0xff000800
#define SDRAM_BR4VALUE   	0x010000c1
#else
#define SDRAM_OR4VALUE   	0xfc000800
#define SDRAM_BR4VALUE   	0x040000c1
#endif

#define SDRAM_MARVALUE   	0x00000088

#define SDRAM_CS3_MCRVALUE0  	0x80806105
#define SDRAM_CS3_MCRVALUE1  	0x80806830
#define SDRAM_CS3_MCRVALUE2  	0x80806130

#define SDRAM_CS4_MCRVALUE0  	0x80808105
#define SDRAM_CS4_MCRVALUE1  	0x80808830
#define SDRAM_CS4_MCRVALUE2  	0x80808130

/* ------------------------------------------------------------------------- */

#define CPLD_OR2VALUE		0xffff8426
#define CPLD_BR2VALUE		0x78000401

#define CPLD_LED_STATUS_REG	0x78000000

#define CPLD_LED_FAULT_BIT	1
#define CPLD_LED_OK_BIT		0

/* ------------------------------------------------------------------------- */

#define NP3400_OR6VALUE		0xffff8630
#define NP3400_BR6VALUE		0x80000881

/* ------------------------------------------------------------------------- */

#define XSM_OR7VALUE		0xffff8908
#define XSM_BR7VALUE		0x88000801
