/* * arch/ppc/platforms/psg.h
 * 
 * Board declarations for Jabil PSG board.
 *
 * Author: John W. Linville
 *         linville@lvl7.com
 *
 * Copyright 2003 LVL7 Systems Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 */
#ifndef	__PPC_PLATFORMS_PSG_H_
#define	__PPC_PLATFORMS_PSG_H_

/*
 * Use PPCBoot's bd_t definition...
 */
#include <asm/ppcboot.h>

#define PSG_EUMB_BASE	0xFC000000

/*
 * CPLD register addresses and related definitions...
 */
/* JWL -- check these definitions... */
#define PSG_CPLD_PBASE		0x7c000000
#define PSG_CPLD_VBASE		0xfd000000
#define PSG_CPLD_SIZE		0x00001000

#define PSG_CPLD_RESET_ADDR	 PSG_CPLD_VBASE
#define PSG_CPLD_RESET_VAL   	 0x01

void psg_find_bridges(void);

#endif	/* __PPC_PLATFORMS_PSG_H_ */
