#include <config.h>
#include <ppcboot.h>
#include "aj.h"

void
signal_delay(unsigned int n)
{
  while (n--);
}

void
signal_on(void)
{
  *((volatile uint *)CPLD_LED_STATUS_REG) &= ~(1<<(CPLD_LED_OK_BIT));
}

void
signal_off(void)
{
  *((volatile uint *)CPLD_LED_STATUS_REG) |= (1<<(CPLD_LED_OK_BIT));
}

void
slow_blink(unsigned int n)
{
  while (n--) {
    signal_on();
    signal_delay(0x00400000);
    signal_off();
    signal_delay(0x00400000);
  }
}

void
fast_blink(unsigned int n)
{
  while (n--) {
    signal_on();
    signal_delay(0x00100000);
    signal_off();
    signal_delay(0x00100000);
  }
}
